// -------------------------------------------------------------------------------------------------
// xsDialogoArchivos.hpp
// -------------------------------------------------------------------------------------------------

// Incluyo la libreria
#include "xsEasyCpp.hpp"

#ifndef __xsDialogoArchivos_hpp__
#define __xsDialogoArchivos_hpp__

Clase xsDialogoArchivos : Publica xsObjeto
{
	Privado:

		xsSeleccionArchivos* chooser;
		xsCadena archivoSeleccionado;

	Publica:
	    xsDialogoArchivos();

		xsDialogoArchivos(xsCadena                  titulo,
                          xsVentanaGUI*             ventanaPadre,
                          xsAccionSeleccionArchivos accion,
					      xsCadena                  textoCancelar,
					      xsCadena                  textoAceptar);

		Vacio crear(xsCadena                  titulo,
                    xsVentanaGUI*             ventanaPadre,
                    xsAccionSeleccionArchivos accion,
					xsCadena                  textoCancelar,
					xsCadena                  textoAceptar);

        Vacio ejecutar();	

		Vacio colocarRuta(xsCadena ruta);

		xsCadena obtenerArchivoSeleccionado();

};

// Fin de la Definición del Archivo
#endif
